// ===<>===<>===-< <<< include/io.h >>> >-===<>===<>===

#ifndef IOH
#define IOH

    typedef struct{
        unsigned int n;
        char** str;
    }CMD_LIST;
    
    typedef struct{
        unsigned int n;
        CMD_LIST** list;
    }CMD_GRP_LIST;


    void init_io(void);
    [[nodiscard]] int create_cmd_list(char* get[],int n);
    void del_cmd_list(int id);
    char querry_input(char *inbuff, char *_buff);
    [[nodiscard]] char cmd_querry(char* _querry,int id);
    [[nodiscard]] int get_int(void);
#endif
